Package Details: switchboard-plug-elementary-tweaks-git 0.0.1.r45.g7032d22-1

Git Clone URL: https://aur.archlinux.org/switchboard-plug-elementary-tweaks-git.git (read-only)
Package Base: switchboard-plug-elementary-tweaks-git
Description: Elementary Tweaks plug for Switchboard
Upstream URL: https://github.com/elementary-tweaks/elementary-tweaks
Licenses: GPL3
Groups: pantheon-unstable
Conflicts: switchboard-plug-elementary-tweaks
Provides: switchboard-plug-elementary-tweaks, switchboard-plug-elementary-tweaks-bzr
Submitter: quequotion
Maintainer: quequotion
Last Packager: quequotion
Votes: 4
Popularity: 0.001779
First Submitted: 2017-05-28 15:55
Last Updated: 2019-11-09 15:35

Required by (3)

Sources (2)

Latest Comments

quequotion commented on 2019-11-09 15:37

@Erde

This needs to be fixed upstream. I've filed a bug report and a pull request to that end.

Until then, I've included a patch to fix it for this package (the patch will have to be removed if and when upstream fixes the issue).

Erde commented on 2019-11-06 13:43

Getting the following error on compile:

~/build/switchboard-plug-elementary-tweaks-git >>> makepkg -si                                                ±[master]
==> Making package: switchboard-plug-elementary-tweaks-git 0.0.1.r1.g211e2a9-1 (ke  6. marraskuuta 2019 15.37.53)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Cloning switchboard-plug-elementary-tweaks git repo...
Cloning into bare repository '/home/himitsu/build/switchboard-plug-elementary-tweaks-git/switchboard-plug-elementary-tweaks'...
remote: Enumerating objects: 36, done.
remote: Counting objects: 100% (36/36), done.
remote: Compressing objects: 100% (36/36), done.
remote: Total 3047 (delta 16), reused 1 (delta 0), pack-reused 3011
Receiving objects: 100% (3047/3047), 6.58 MiB | 6.39 MiB/s, done.
Resolving deltas: 100% (2161/2161), done.
==> Validating source files with sha256sums...
    switchboard-plug-elementary-tweaks ... Skipped
==> Extracting sources...
  -> Creating working copy of switchboard-plug-elementary-tweaks git repo...
Cloning into 'switchboard-plug-elementary-tweaks'...
done.
==> Starting pkgver()...
==> Updated version: switchboard-plug-elementary-tweaks-git 0.0.1.r45.g7032d22-1
==> Starting build()...
-- The C compiler identification is GNU 9.2.0
-- The CXX compiler identification is GNU 9.2.0
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Found PkgConfig: /usr/bin/pkg-config (found version "1.6.3") 
-- Checking for modules 'gthread-2.0;gtk+-3.0;switchboard-2.0;granite;gconf-2.0;gee-0.8;polkit-gobject-1;glib-2.0'
--   Found gthread-2.0, version 2.62.2
--   Found gtk+-3.0, version 3.24.12
--   Found switchboard-2.0, version 2.3.7
--   Found granite, version 5.2.5
--   Found gconf-2.0, version 3.2.6
--   Found gee-0.8, version 0.20.2
--   Found polkit-gobject-1, version 0.116
--   Found glib-2.0, version 2.62.2
-- Found Vala: /usr/bin/valac  
-- checking for a minimum Vala version of 0.22.0
--   found Vala, version 0.46.3
-- Configuring done
-- Generating done
-- Build files have been written to: /home/himitsu/build/switchboard-plug-elementary-tweaks-git/src/switchboard-plug-elementary-tweaks/build
Scanning dependencies of target i18n
[  0%] Built target i18n
[  3%] Generating Tweaks.c;Util.c;Settings/AudienceSettings.c;Settings/IndicatorSoundSettings.c;Settings/FilesSettings.c;Settings/GalaSettings.c;Settings/GtkSettings.c;Settings/PlankSettings.c;Settings/KeyboardSettings.c;Settings/SlingshotSettings.c;Settings/GnomeSettings.c;Settings/TerminalSettings.c;Settings/XSettings.c;Panes/AudiencePane.c;Panes/AnimationsPane.c;Panes/AppearancePane.c;Panes/FontsPane.c;Panes/MiscPane.c;Panes/FilesPane.c;Panes/TerminalPane.c;Panes/PlankPane.c;Panes/SlingshotPane.c;Objects/ShortcutObject.c;Widgets/Categories.c;Widgets/SettingBox.c;Widgets/Label.c;/home/himitsu/build/switchboard-plug-elementary-tweaks-git/src/switchboard-plug-elementary-tweaks/build/src/config.c
Command-line option `--thread` is deprecated and will be ignored
/home/himitsu/build/switchboard-plug-elementary-tweaks-git/src/switchboard-plug-elementary-tweaks/src/Widgets/Categories.vala:100.13-100.23: error: Creation method of abstract class cannot be public.
            public Pane (string label_string, string icon_name) {
            ^^^^^^^^^^^
Compilation failed: 1 error(s), 0 warning(s)
make[2]: *** [src/CMakeFiles/elementary-tweaks.dir/build.make:169: src/elementary-tweaks_valac.stamp] Error 1
make[1]: *** [CMakeFiles/Makefile2:200: src/CMakeFiles/elementary-tweaks.dir/all] Error 2
make: *** [Makefile:152: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...

--

Sorry for the terminal spam. Dunno if there is a option to format it properly. Edit: seems there was.

quequotion commented on 2018-10-13 08:42

That is not pacman, it is aurman. Pacman wouldn't be able to acess the AUR.

Sounds like perhaps you have the [exta-alucryd] repository enabled while using an aur helper to do a system upgrade. I think you need to choose one or the other:

A: Keep the [extra-alucryd] repository enabled and use 'pacman -Syu' to upgrade from precompiled binaries.

B: Disable the [extra-alucryd] repository and use an aur helper to upgrade, building the AUR packages from source.

btd1337 commented on 2018-10-13 02:54

Pacman is referencing to aur instead of extra-alucryd. I don't know why.

btd1337 commented on 2018-10-13 02:33

aurman -S switchboard-git  
~~ initializing aurman...
:: Ignoring upstream  package gnome-settings-daemon
:: Ignoring installed package mutter
:: Ignoring installed package gnome-session
:: Ignoring installed package gnome-shell
:: Ignoring installed package gnome-control-center
:: Ignoring installed package postgresql-libs
:: Ignoring installed package postgresql
~~ calculating solutions...

:: The following 1 package(s) are getting updated:
   aur/switchboard-git                         r1252.9c3388b-1                 ->  r1211.cd4124e-1

:: The following 22 package(s) are predicted to get removed:
   aur/pantheon-applications-menu-git          2.4.0.r2.adc9208-1              ->  /
   aur/pantheon-session-git                    r130.3697be7-1                  ->  /
   aur/switchboard-plug-a11y-git               r276.84b1723-1                  ->  /
   aur/switchboard-plug-about-git              r756.83a35f4-1                  ->  /
   aur/switchboard-plug-applications-git       r340.cc4c9f0-1                  ->  /
   aur/switchboard-plug-bluetooth-git          r242.a977f10-1                  ->  /
   aur/switchboard-plug-datetime-git           r447.8f2eda6-1                  ->  /
   aur/switchboard-plug-desktop-git            r949.61f8b72-1                  ->  /
   aur/switchboard-plug-display-git            r333.93bb86f-1                  ->  /
   aur/switchboard-plug-elementary-tweaks-git  0.0.1.r22.g13b0e70-1            ->  /
   aur/switchboard-plug-keyboard-git           r982.4cde04e-1                  ->  /
   aur/switchboard-plug-locale-git             r495.a1f267c-1                  ->  /
   aur/switchboard-plug-mouse-touchpad-git     r320.84eb707-1                  ->  /
   aur/switchboard-plug-network-git            r894.4baf8ce-1                  ->  /
   aur/switchboard-plug-notifications-git      r379.b79d05f-1                  ->  /
   aur/switchboard-plug-parental-controls-git  r487.63833f7-1                  ->  /
   aur/switchboard-plug-power-git              r732.7ea9438-1                  ->  /
   aur/switchboard-plug-printers-git           r410.339df1a-1                  ->  /
   aur/switchboard-plug-security-privacy-git   r668.[`455df45`](https://aur.archlinux.org/cgit/aur.git/commit/?h=switchboard-plug-elementary-tweaks-git&id=455df45)-1                  ->  /
   aur/switchboard-plug-sharing-git            r230.61a8838-1                  ->  /
   aur/switchboard-plug-sound-git              r283.732ab10-1                  ->  /
   aur/switchboard-plug-user-accounts-git      r615.a155823-1                  ->  /
:: Dependency libswitchboard-2.0.so=0-64 of package switchboard-plug-locale-git is not fulfilled
:: Dependency libswitchboard-2.0.so=0-64 of package switchboard-plug-network-git is not fulfilled
:: Dependency libswitchboard-2.0.so=0-64 of package switchboard-plug-user-accounts-git is not fulfilled
:: Dependency libswitchboard-2.0.so=0-64 of package switchboard-plug-datetime-git is not fulfilled
:: Dependency libswitchboard-2.0.so=0-64 of package switchboard-plug-parental-controls-git is not fulfilled
:: Dependency libswitchboard-2.0.so=0-64 of package switchboard-plug-sharing-git is not fulfilled
:: Dependency libswitchboard-2.0.so=0-64 of package switchboard-plug-sound-git is not fulfilled
:: Dependency libswitchboard-2.0.so=0-64 of package switchboard-plug-elementary-tweaks-git is not fulfilled
:: Dependency libswitchboard-2.0.so=0-64 of package switchboard-plug-printers-git is not fulfilled
:: Dependency libswitchboard-2.0.so=0-64 of package switchboard-plug-applications-git is not fulfilled
:: Dependency libswitchboard-2.0.so=0-64 of package switchboard-plug-keyboard-git is not fulfilled
:: Dependency libswitchboard-2.0.so=0-64 of package switchboard-plug-about-git is not fulfilled
:: Dependency libswitchboard-2.0.so=0-64 of package switchboard-plug-mouse-touchpad-git is not fulfilled
:: Dependency libswitchboard-2.0.so=0-64 of package pantheon-applications-menu-git is not fulfilled
:: Dependency libswitchboard-2.0.so=0-64 of package switchboard-plug-desktop-git is not fulfilled
:: Dependency libswitchboard-2.0.so=0-64 of package switchboard-plug-bluetooth-git is not fulfilled
:: Dependency libswitchboard-2.0.so=0-64 of package switchboard-plug-notifications-git is not fulfilled
:: Dependency libswitchboard-2.0.so=0-64 of package switchboard-plug-a11y-git is not fulfilled
:: Dependency libswitchboard-2.0.so=0-64 of package switchboard-plug-security-privacy-git is not fulfilled
:: Dependency libswitchboard-2.0.so=0-64 of package switchboard-plug-display-git is not fulfilled
:: Dependency libswitchboard-2.0.so=0-64 of package switchboard-plug-power-git is not fulfilled
:: Dependency pantheon-applications-menu-git of package pantheon-session-git is not fulfilled

!! It is not possible to install the found solution without manual user intervention.
   Please rerun aurman with --solution_way to see the reason

?? Do you want to continue? Y/n:

quequotion commented on 2018-10-13 00:49

@btd1337 This is provided by switchboard(-git). Did pacman not tell you so?

btd1337 commented on 2018-10-12 17:00

Dependency libswitchboard-2.0.so=0-64 of package switchboard-plug-elementary-tweaks-git is not fulfilled

quequotion commented on 2017-03-17 04:18

The opacity setting was broken because the gsettings have changed; so no longer available.